## GocLine GocLine — Simple line. |

## Synopsis

                        GocLine;
    typedef             GocLineClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocLine

## Implemented Interfaces

GocLine implements GOStyledObject.

## Properties

      "end-arrow"                GOArrow*              : Read / Write
      "start-arrow"              GOArrow*              : Read / Write
      "x0"                       gdouble               : Read / Write
      "x1"                       gdouble               : Read / Write
      "y0"                       gdouble               : Read / Write
      "y1"                       gdouble               : Read / Write

## Description

GocLine implements simple line drawing in the canvas. The line can have arrows at the start and/or at the end.

## Details

### GocLine

    typedef struct _GocLine GocLine;

### GocLineClass

    typedef GocStyledItemClass GocLineClass;

## Property Details

### The `"end-arrow"` property

      "end-arrow"                GOArrow*              : Read / Write

Arrow for line's end.

### The `"start-arrow"` property

      "start-arrow"              GOArrow*              : Read / Write

Arrow for line's start.

### The `"x0"` property

      "x0"                       gdouble               : Read / Write

The line start x coordinate.

Default value: 0

### The `"x1"` property

      "x1"                       gdouble               : Read / Write

The line end x coordinate.

Default value: 0

### The `"y0"` property

      "y0"                       gdouble               : Read / Write

The line start y coordinate.

Default value: 0

### The `"y1"` property

      "y1"                       gdouble               : Read / Write

The line end y coordinate.

Default value: 0